<?php

//classe que faz ajustes para uso interno do remoto
class RemotoInterno {
	
	//atributo loja que representa uma loja
	public $loja;
			
	//metodo que transforma o nome da loja no remoto no nome do sqlserver da softcom
	public function TransformarLoja($loja) {
		
		switch ($loja){
			case "matriz":
				$this->loja = "MATRIZ";
				break;
			case "loja02":
				$this->loja = "LOJA 02";
				break;
			case "loja03":
				$this->loja = "LOJA 03";
				break;
			case "loja04":
				$this->loja = "LOJA 04";
				break;
			case "loja05":
				$this->loja = "LOJA 05";
				break;
			case "loja06":
				$this->loja = "LOJA 06";
		}
		
		return $this->loja;
			
		}

	public function TransformarLojaSoftcomParaRemoto($loja) {
		
		switch ($loja){

			case "MATRIZ":
				$this->loja = "matriz";
				break;
			case "LOJA 02":
				$this->loja = "loja02";
				break;
			case "LOJA 03":
				$this->loja = "loja03";
				break;
			case "LOJA 04":
				$this->loja = "loja04";
				break;		
			case "LOJA 05":
				$this->loja = "loja05";
				break;
			case "LOJA 06":
				$this->loja = "loja06";
				break;
			}
		
		return $this->loja;
			
		}


	public static function saberSeUsuarioTemAcessoTodasAsLojas ($usuario,$conexao) {

		//criar uma funcao para verificar usuario
		$todas = 0;

		$result = "SELECT * FROM usuarios WHERE usuario = '$usuario' ";
		$resultado = mysqli_query($conexao, $result);

		while($linha = mysqli_fetch_array($resultado)){

				$matriz =  $linha['matriz'];
				$loja02 =  $linha['loja02'];
				$loja03 =  $linha['loja03'];
				$loja04 =  $linha['loja04'];
				$loja05 =  $linha['loja05'];
				$loja06 =  $linha['loja06'];

				//saber se o usuario tem acesso a todas as empresas
				if ($matriz == 'sim'){$todas = 1;}
				if ($loja02  == 'sim'){$todas = $todas + 1;}
				if ($loja03  == 'sim'){$todas = $todas + 1;}
				if ($loja04  == 'sim'){$todas = $todas + 1;}
				if ($loja05  == 'sim'){$todas = $todas + 1;}
				if ($loja06  == 'sim'){$todas = $todas + 1;}
			}
			return $todas;
	}

	//verificar se um usuario tem acesso a uma loja
	public static function saberSeUsuarioTemAcessoUmaLoja ($loja,$usuario,$conexao) {

		//buscar dados do usuario
		$result = "SELECT '$loja' FROM usuarios WHERE usuario = '$usuario' AND $loja = 'sim' ";
		$resultado = mysqli_query($conexao, $result);
		//varrer
		while($linha = mysqli_fetch_array($resultado)){
				//atribuir o usuario
				$lojaUsuarioNovo =  $linha["$loja"];
			}
		if (isset($lojaUsuarioNovo)) {
			//se a loja pesquisada passada via parametro for visivel ao usuario retornar sim
			return true; 
		}
			
		
	}


	public static function retornarTipoUsuario($usuario,$conexao){
		
	//buscar o tipo do usuario logado
	$result = "SELECT * FROM usuarios WHERE usuario = '$usuario'";
	$resultado = mysqli_query($conexao, $result);
	  while($linha = mysqli_fetch_array($resultado)){ 
  
		$tipouser = $linha['tipouser'];
	  }
	return $tipouser;
	}
	
	//converte a data para dia mes e ano
	public static function converterData($data){
		 
		$timestamp = strtotime($data);
		$dataFormatada = date("d/m/Y", $timestamp);
		return $dataFormatada;
	}

	
	public static function converterNumero($number){

		$formattedNumber = number_format($number, 2, ',', '.');
		return $formattedNumber;
  }
  
  //recebe 2024-07-01 retorna 07/2024
  public function extrairMesAno($data){
	
		//converter a string em uma data
		$data = new DateTime($data);
		//formata a data como mes e ano
		return $formatoNovo = $data->format('m-Y'); //o objeto data que tem o a string recebida como parametro execulta o metodo format() passando o formato a ser formatado seu atributo recebido no construtor
  }

  
function get_endereco($cep){

	// formatar o cep removendo caracteres nao numericos
	$cep = preg_replace("/[^0-9]/", "", $cep);
	$url = "http://viacep.com.br/ws/$cep/xml/";
  
	$xml = simplexml_load_file($url);
	return $xml;
  }


function converterDataParaSqlServer($data){
	return implode("/",array_reverse(explode("-",$data)));
}


public function converterStringCaracteresEspeciais($str){

	$str = preg_replace('/[áàãâä]/ui', 'A', $str);
    $str = preg_replace('/[éèêë]/ui', 'E', $str);
    $str = preg_replace('/[íìîï]/ui', 'I', $str);
    $str = preg_replace('/[óòõôö]/ui', 'O', $str);
    $str = preg_replace('/[úùûü]/ui', 'U', $str);
    $str = preg_replace('/[ç]/ui', 'C', $str);
    // $str = preg_replace('/[,(),;:|!"#$%&/=?~^><ªº-]/', '_', $str);
    $str = preg_replace('/[^a-z0-9]/i', ' ', $str);
    $str = preg_replace('/_+/', '_', $str); // ideia do Bacco :)


	return $str;
}


public function contaLoja($lojaConta)
{
	$conta = 0;

	switch ($lojaConta) {
		case 'MATRIZ':
			$conta = 'ITAU LOJA 01';
			break;
		case 'LOJA 02':
			$conta = 'ITAU LOJA 02';
			break;			
		case 'LOJA 03':
			$conta = 'ITAU LOJA 03';	
			break;			
		case 'LOJA 04':
			$conta = 'ITAU LOJA 04';
			break;			
		case 'LOJA 05':
			$conta = 'ITAU LOJA 05';
			break;
		case 'LOJA 06':
			$conta = 'ITAU LOJA 06';											
			break;
}

return $conta;

}


public function dadosLoja($loja){

		$retorno = [];
				
		if ($loja == 'MATRIZ') {
			$retorno[] = 'M. A. DA SILVA COSMETICOS';
			$retorno[] = '08.049.813/0001-88';
			$retorno[] = 'AVENIDA DOUTOR FRANCISCO CORREIA';
			$retorno[] = '725';
			$retorno[] = '54735-000';
			$retorno[] = '(81) 3519-1222';
			$retorno[] = 'CENTRO';
			$retorno[] = 'SAO LOURENCO DA MATA - PE';
		}

		elseif ($loja == 'LOJA 02') {
			$retorno[] = 'CASA DO CABELEIREIRO E PERFUMARIA LTDA';
			$retorno[] = '12.967.684/0001-84';
			$retorno[] = 'AV ESTACIO COIMBRA';
			$retorno[] = '588';
			$retorno[] = '55815-000';
			$retorno[] = '(81) 3621-2395';
			$retorno[] = 'SAO JOSE';
			$retorno[] = 'CARPINA - PE';
		}

		elseif ($loja == 'LOJA 03') {
			$retorno[] = 'CASA DO CABELEIREIRO LTDA';
			$retorno[] = '20.861.429/0001-80';
			$retorno[] = 'AV DOUTOR FRANCISCO CORREIA';
			$retorno[] = '439';
			$retorno[] = '54735-000';
			$retorno[] = '(81) 3525-0778';
			$retorno[] = 'CENTRO';
			$retorno[] = 'SAO LOURENCO DA MATA - PE';
		}

		elseif ($loja == 'LOJA 04') {
			$retorno[] = 'M. A DA SILVA COSMETICOS';
			$retorno[] = '08.049.813/0002-69';
			$retorno[] = 'RUA PREFEITO JOÃO CLEOFAS DE OLIVEIRA';
			$retorno[] = '110';
			$retorno[] = '55602-125';
			$retorno[] = '(81) 3526-6163';
			$retorno[] = 'MATRIZ';
			$retorno[] = 'VITORIA DE SANTO ANTAO - PE';
		}

		elseif ($loja == 'LOJA 05') {
			$retorno[] = 'CASA DO CABELEIREIRO E COSMETICOS LTDA';
			$retorno[] = '42.013.233/0001-79';
			$retorno[] = 'RUA PADRE LEMOS';
			$retorno[] = '50';
			$retorno[] = '52070-200';
			$retorno[] = '(81) 3222-7699';
			$retorno[] = 'CASA AMARELA';
			$retorno[] = 'RECIFE - PE';
		}

		elseif ($loja == 'LOJA 06') {
			$retorno[] = 'M. A. DA SILVA COSMETICOS';
			$retorno[] = '08.049.813/0003-40';
			$retorno[] = 'RUA ELIZA CABRAL DE SOUZA';
			$retorno[] = '78';
			$retorno[] = '54762-712';
			$retorno[] = '(81) 3788-9717';
			$retorno[] = 'Bairro Novo';
			$retorno[] = 'CAMARAGIBE - PE';
		}
		return $retorno;
}

public function converterCfopCompraDevolucao($cfop){

	switch($cfop) {

		case 1403:
			$cfop = 5411;
			break;
		case 1102:
			$cfop = 5202;
			break;
		case 1405;
			$cfop = 5411;
			break;
		default:
			$cfop = 0;

	}

	return $cfop;
}

public function verificarEstoqueMinimoAnterior($estoqueMinimoAnterior, $codigoMercadoria, $estoqueMinimo){

foreach ($estoqueMinimoAnterior AS $key => $value) {

   if($key == $codigoMercadoria){

		return $value;
   }



}



}



}